---
title: Navigator.serviceWorker
slug: Web/API/Navigator/serviceWorker
tags:
  - API
  - Navigator
  - Property
  - Reference
  - Service Workers
  - Service worker API
  - ServiceWorker
---
<div>{{APIRef("Service Workers API")}}</div>

<p><span class="seoSummary">The <code><strong>Navigator.serviceWorker</strong></code> read-only property returns the {{domxref("ServiceWorkerContainer")}} object for the <a href="https://html.spec.whatwg.org/multipage/browsers.html#concept-document-window">associated document</a>, which provides access to registration, removal, upgrade, and communication with the {{domxref("ServiceWorker")}}.</span></p>

<p>The feature may not be available in private mode.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">const <em>workerContainerInstance</em> = navigator.serviceWorker;
</pre>

<h3 id="Value">Value</h3>

<p>{{domxref("ServiceWorkerContainer")}}.</p>

<h2 id="Examples">Examples</h2>

<p>This code checks if the browser supports service workers.</p>

<pre class="brush: js notranslate">if ('serviceWorker' in navigator) {
  // Supported!
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Service Workers', '#navigator-serviceworker', 'navigator.serviceWorker')}}</td>
   <td>{{Spec2('Service Workers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a class="external" href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("api.Navigator.serviceWorker")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Service_Worker_API">Service Worker API</a></li>
 <li><a href="/en-US/docs/Web/API/Service_Worker_API/Using_Service_Workers">Using Service Workers</a></li>
</ul>
